aboutsummaryrefslogtreecommitdiffstats
path: root/juju/juju_launch.sh
diff options
context:
space:
mode:
authorHarry Huang <huangxiangyu5@huawei.com>2017-03-03 11:11:44 +0800
committerHarry Huang <huangxiangyu5@huawei.com>2017-03-03 17:12:55 +0800
commit3ad87b8a162fad9ad55807233db7a27fcc493756 (patch)
tree364bce0bf4efb7cf351f1ec4219dc0063d16a90d /juju/juju_launch.sh
parent73a71b794191019bfa83f6bd7194ef8316273780 (diff)
fix mysql bug
1. fix bug that mysql can't grant privilege 2. add juju vm accessibility check instead of sleep 60 Change-Id: I711fd98a93e5f26f0eae3698f262e93198977ddf Signed-off-by: Harry Huang <huangxiangyu5@huawei.com>
Diffstat (limited to 'juju/juju_launch.sh')
-rwxr-xr-xjuju/juju_launch.sh17
1 files changed, 16 insertions, 1 deletions
diff --git a/juju/juju_launch.sh b/juju/juju_launch.sh
index 3653660..1ad6e89 100755
--- a/juju/juju_launch.sh
+++ b/juju/juju_launch.sh
@@ -59,7 +59,22 @@ function launch_juju_vm()
floating_ip_metadata=$(nova list | grep juju-metadata-vm | awk '{print $13}')
fi
- sleep 60
+ local wait=120
+ set +x
+ while
+ if [[ $wait == 0 ]]; then
+ log_error "launch juju vm can't access"
+ exit 1
+ fi
+ exec_cmd_on_client exit
+ local ready1=$?
+ exec_cmd_on_metadata exit
+ local ready2=$?
+ let wait-=1
+ sleep 2
+ [[ $ready1 != 0 || $ready2 != 0 ]]
+ do :;done
+ set -x
export floating_ip_client=$floating_ip_client
export floating_ip_metadata=$floating_ip_metadata